eightpoints/guzzle-wsse-plugin

This package is abandoned and no longer maintained. The author suggests using the eightpoints/guzzle-wsse-middleware package instead.

WSSE Middleware for Guzzle, a PHP HTTP client library and framework for building RESTful web service clients

Installs: 24 355

Dependents: 0

Stars: 5

Watchers: 2

Forks: 1

Open Issues: 1

v4.0.0 2016-02-08 22:10 UTC

README

This middleware integrates WSSE funtionality into Guzzle, a PHP framework for building RESTful web service clients.

Requirements

Installation

Using composer:

{
    "require": {
        "eightpoints/guzzle-wsse-middleware": "~3.0"
    }
}

Usage

<?php 

$wsse  = new \EightPoints\Guzzle\WsseAuthMiddleware($username, $password);
$stack = \GuzzleHttp\HandlerStack::create();

// Add the wsse middleware to the handler stack.
$stack->push($wsse->attach());

$client   = new \GuzzleHttp\Client(['handler' => $stack]);
$response = $client->get('http://www.8points.de');

Authors

See also the list of contributors who participated in this project.

License

This middleware is licensed under the MIT License - see the LICENSE file for details